The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

SOLVED lvestats error

Discussion in 'CloudLinux' started by rahnev, Dec 13, 2016.

Tags:
  1. rahnev

    rahnev Active Member

    Joined:
    Jul 6, 2016
    Messages:
    30
    Likes Received:
    1
    Trophy Points:
    8
    Location:
    Bulgaria
    cPanel Access Level:
    Root Administrator
    During last update I think, the following error is generated in /var/log/lve-stats.log:
    Code:
     2016-12-13 01:44:50,818: (main_loop.plugin_executor.process) [ERROR] Other exception during execution of plugin <class 'lvestats.plugins.generic.dbsaver_x60.DBSaverX60'>
    Traceback (most recent call last):
      File "/opt/alt/python27/lib/python2.7/site-packages/lvestats/eventloop/plugin_executors.py", line 196, in _in_separate_process
        plugin_instance.execute(lve_data)
      File "/opt/alt/python27/lib/python2.7/site-packages/lvestats/plugins/generic/dbsaver_x60.py", line 117, in execute
        self.aggregate_new(dt_x1_max, dt_x1_min, dt_x60_max)
      File "/opt/alt/python27/lib/python2.7/site-packages/lvestats/plugins/generic/dbsaver_x60.py", line 137, in aggregate_new
        self.aggregate_db_data_by_hours(dt_x60_max, dt_x1_max)
      File "/opt/alt/python27/lib/python2.7/site-packages/lvestats/plugins/generic/dbsaver_x60.py", line 76, in aggregate_db_data_by_hours
        one_insert_values['cpu'] *= 100
    TypeError: unsupported operand type(s) for *=: 'NoneType' and 'int'
    2016-12-13 01:44:51,843: (main.loop) [ERROR] Error during execution of /opt/alt/python27/lib/python2.7/site-packages/lvestats/plugins/generic/dbsaver_x60.py:DBSaverX60
    Traceback (most recent call last):
      File "/opt/alt/python27/lib/python2.7/site-packages/lvestats/eventloop/main_loop.py", line 98, in run
        self.executor.execute(plugin, now, timeout)
      File "/opt/alt/python27/lib/python2.7/site-packages/lvestats/eventloop/plugin_executors.py", line 372, in execute
        raise PluginExecutionException(ex)
    PluginExecutionException: unsupported operand type(s) for *=: 'NoneType' and 'int'
    2016-12-13 01:44:51,879: (init_db_engine) [INFO] Connecting to database: sqlite
    Similar errors are generated in /var/log/messages:

    Code:
    Dec 13 01:47:27 lve-stats: (main.loop) [ERROR] Error during execution of /opt/alt/python27/lib/python2.7/site-packages/lvestats/plugins/generic/dbsaver_x60.py:DBSaverX60#012Traceback
    (most recent call last):#012  File "/opt/alt/python27/lib/python2.7/site-packages/lvestats/eventloop/main_loop.py", line 98, in run#012    self.executor.execute(plugin, now, timeout)#012
    File "/opt/alt/python27/lib/python2.7/site-packages/lvestats/eventloop/plugin_executors.py", line 372, in execute#012    raise PluginExecutionException(ex)
    #012PluginExecutionException: unsupported operand type(s) for *=: 'NoneType' and 'int'
    
    Dec 13 01:47:31 lve-stats: (main_loop.plugin_executor.process) [ERROR] Other exception during execution of plugin <class 'lvestats.plugins.generic.dbsaver_x60.DBSaverX60'>
    #012Traceback (most recent call last):#012  File "/opt/alt/python27/lib/python2.7/site-packages/lvestats/eventloop/plugin_executors.py", line 196, in _in_separate_process#012    
    plugin_instance.execute(lve_data)#012  File "/opt/alt/python27/lib/python2.7/site-packages/lvestats/plugins/generic/dbsaver_x60.py", line 117, in execute#012    
    self.aggregate_new(dt_x1_max, dt_x1_min, dt_x60_max)#012  File "/opt/alt/python27/lib/python2.7/site-packages/lvestats/plugins/generic/dbsaver_x60.py", line 137,
    in aggregate_new#012    self.aggregate_db_data_by_hours(dt_x60_max, dt_x1_max)#012  File "/opt/alt/python27/lib/python2.7/site-packages/lvestats/plugins/generic/dbsaver_x60.py",
    line 76, in aggregate_db_data_by_hours#012    one_insert_values['cpu'] *= 100#012TypeError: unsupported operand type(s) for *=: 'NoneType' and 'int'
    
    I tried restarting lvestats but nothing changed. Version of lve-stats is

    lve-stats.noarch 2.4-6.el6 @cloudlinux-x86_64-server-6

    Before the update version was 0.10-51.el6:

    [2016-12-09 03:04:32 -0500] [135739] ---> Package lve-stats.noarch 0:0.10-51.el6 will be updated
    [2016-12-09 03:04:32 -0500] [135739] ---> Package lve-stats.noarch 0:2.4-6.el6 will be an update

    Is there someone else with similar errors or know resolution of the problem?
     
    #1 rahnev, Dec 13, 2016
    Last edited: Dec 13, 2016
  2. rahnev

    rahnev Active Member

    Joined:
    Jul 6, 2016
    Messages:
    30
    Likes Received:
    1
    Trophy Points:
    8
    Location:
    Bulgaria
    cPanel Access Level:
    Root Administrator
    I think I fixed the problem by downgrade the module to version 0.10 and then upgrade it again. Now the errors don't appear in logs.
     
  3. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    37,037
    Likes Received:
    1,278
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
  4. geekcohen

    geekcohen Member

    Joined:
    Oct 7, 2015
    Messages:
    22
    Likes Received:
    1
    Trophy Points:
    3
    Location:
    Melbourne, Australia
    cPanel Access Level:
    Root Administrator
    Thanks Michael, I believe the above article has helped........ I am just double checking it now.
     
  5. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    37,037
    Likes Received:
    1,278
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Let us know if you encounter any additional issues.

    Thanks!
     
Loading...

Share This Page